-- phpMyAdmin SQL Dump
-- version 2.10.0.2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 23. April 2007 um 20:39
-- Server Version: 5.0.26
-- PHP-Version: 5.2.1-pl3-gentoo

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Datenbank: `versand`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `artikel`
-- 

CREATE TABLE `artikel` (
  `anr` varchar(4) collate latin1_general_ci NOT NULL,
  `mwst` int(11) default NULL,
  `bezeichnung` varchar(20) collate latin1_general_ci NOT NULL,
  `listenpreis` decimal(5,2) NOT NULL,
  `bestand` int(11) default '0',
  `mindestbestand` int(11) default '0',
  `verpackung` varchar(20) collate latin1_general_ci default NULL,
  `lagerplatz` int(11) default NULL,
  PRIMARY KEY  (`anr`),
  KEY `FOREIGN KEY` (`mwst`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `artikel`
-- 

INSERT INTO `artikel` (`anr`, `mwst`, `bezeichnung`, `listenpreis`, `bestand`, `mindestbestand`, `verpackung`, `lagerplatz`) VALUES 
('G001', 2, 'Whisky', 38.50, 397, 50, '0,7 l', 7),
('G002', 2, 'Portwein', 12.45, 473, 100, '0,5 l', 7),
('G003', 2, 'Bier', 5.20, 1250, 250, '6-er Pack', 7),
('K001', 2, 'Schuhe', 98.50, 120, 25, 'Karton', 2),
('K002', 2, 'Hose', 112.80, 62, 25, NULL, 2),
('K003', 2, 'Damenhut', 65.70, 12, 20, 'Karton', 2),
('K004', 1, 'Sonnenbrille', 76.00, 50, 20, 'Karton', 2),
('L001', 1, 'Ceylon Tee', 6.35, 356, 100, '125 g', 5),
('L002', 1, 'China Tee', 8.35, 42, 50, '125 g', 5),
('L003', 1, 'Naturreis', 1.78, 345, 0, '1 kg', 4),
('L004', 2, 'Schokolade', 0.98, 2101, 1000, 'Tafel', 2),
('L005', 2, 'Butterkäse', 1.72, 234, 250, '250 g', 2);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `bestellung`
-- 

CREATE TABLE `bestellung` (
  `bnr` int(11) NOT NULL,
  `knr` int(11) default NULL,
  `bestelldatum` date NOT NULL,
  `lieferdatum` date default NULL,
  `betrag` decimal(7,2) default NULL,
  PRIMARY KEY  (`bnr`),
  KEY `FOREIGN KEY` (`knr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `bestellung`
-- 

INSERT INTO `bestellung` (`bnr`, `knr`, `bestelldatum`, `lieferdatum`, `betrag`) VALUES 
(1, 101, '2005-12-09', '2005-12-14', 215.03),
(2, 103, '2005-12-29', '2006-01-03', 1280.49),
(3, 105, '2006-01-04', '2006-01-13', NULL),
(4, 101, '2006-01-05', NULL, NULL),
(5, 198, '2006-02-01', NULL, NULL),
(6, 105, '2006-02-07', '2006-02-10', NULL);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `girokonto`
-- 

CREATE TABLE `girokonto` (
  `knr` int(11) NOT NULL,
  `inhaber` varchar(30) collate latin1_general_ci NOT NULL,
  `blz` int(11) NOT NULL,
  `kontonr` int(11) NOT NULL,
  PRIMARY KEY  (`knr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `girokonto`
-- 

INSERT INTO `girokonto` (`knr`, `inhaber`, `blz`, `kontonr`) VALUES 
(101, 'Stein, Dagmar', 23410022, 12346789),
(103, 'Randers, Nils', 23410122, 20001234);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `kunde`
-- 

CREATE TABLE `kunde` (
  `knr` int(11) NOT NULL,
  `status` varchar(1) collate latin1_general_ci default NULL,
  `name` varchar(30) collate latin1_general_ci NOT NULL,
  `strasse` varchar(20) collate latin1_general_ci default NULL,
  `plz` int(11) default NULL,
  `ort` varchar(20) collate latin1_general_ci default NULL,
  `letztewerbung` date default NULL,
  `zahlungsart` varchar(1) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`knr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `kunde`
-- 

INSERT INTO `kunde` (`knr`, `status`, `name`, `strasse`, `plz`, `ort`, `letztewerbung`, `zahlungsart`) VALUES 
(100, 'S', 'Voss, Hans', 'Kuhdamm 12', 23863, 'Nienwohld', '2005-12-01', 'N'),
(101, 'S', 'Stein, Peter', 'Moordamm 34', 23864, 'Kayhude', '2005-12-01', 'B'),
(102, 'W', 'Müller, Erwin', 'Allee 12b', 25813, 'Husum', '2005-12-01', 'N'),
(103, 'S', 'Randers, Nils', 'Am Seeufer 12', 23845, 'Oering', NULL, 'B'),
(104, 'G', 'Andresen, Ute', 'Am Abhang 3', 24558, 'Ulzburg', NULL, 'N'),
(105, 'S', 'Stuff, Werner', 'Tarper Weg 13', 24831, 'Eggebek', NULL, 'R'),
(106, 'W', 'Staack, Hannes', 'An der Alster 1', 23864, 'Kayhude', '2005-12-01', 'N'),
(198, 'W', 'Holgerson, Nils', 'Gänseweg 10', 28209, 'Bremen', '2006-01-10', 'N');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mwstsatz`
-- 

CREATE TABLE `mwstsatz` (
  `mwst` int(11) NOT NULL,
  `prozent` decimal(3,2) default NULL,
  `beschreibung` varchar(5) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`mwst`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `mwstsatz`
-- 

INSERT INTO `mwstsatz` (`mwst`, `prozent`, `beschreibung`) VALUES 
(0, 0.00, 'ohne'),
(1, 0.08, 'halbe'),
(2, 0.16, 'volle');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `position`
-- 

CREATE TABLE `position` (
  `bnr` int(11) NOT NULL,
  `anr` varchar(4) collate latin1_general_ci NOT NULL default '',
  `bestellmenge` int(11) NOT NULL,
  `liefermenge` int(11) default NULL,
  `gesamtpreis` decimal(7,2) default NULL,
  PRIMARY KEY  (`bnr`,`anr`),
  KEY `anr` (`anr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Daten für Tabelle `position`
-- 

INSERT INTO `position` (`bnr`, `anr`, `bestellmenge`, `liefermenge`, `gesamtpreis`) VALUES 
(1, 'G001', 5, 3, 133.15),
(1, 'K004', 1, 1, 82.08),
(2, 'G002', 10, 10, 144.43),
(2, 'K002', 3, 3, 392.54),
(2, 'K004', 15, 8, 705.73),
(2, 'L004', 50, 35, 39.79),
(3, 'G001', 10, 10, NULL),
(3, 'G003', 100, 75, NULL),
(4, 'G002', 25, NULL, NULL),
(4, 'L001', 200, NULL, NULL),
(4, 'L002', 200, NULL, NULL),
(5, 'L001', 350, NULL, NULL),
(5, 'L002', 150, NULL, NULL),
(5, 'L003', 125, NULL, NULL),
(6, 'G002', 12, 10, NULL),
(6, 'K001', 15, 10, NULL),
(6, 'L005', 30, 30, NULL);

-- 
-- Constraints der exportierten Tabellen
-- 

-- 
-- Constraints der Tabelle `artikel`
-- 
ALTER TABLE `artikel`
  ADD CONSTRAINT `artikel_ibfk_1` FOREIGN KEY (`mwst`) REFERENCES `mwstsatz` (`mwst`) ON UPDATE CASCADE;

-- 
-- Constraints der Tabelle `bestellung`
-- 
ALTER TABLE `bestellung`
  ADD CONSTRAINT `bestellung_ibfk_1` FOREIGN KEY (`knr`) REFERENCES `kunde` (`knr`) ON DELETE SET NULL ON UPDATE CASCADE;

-- 
-- Constraints der Tabelle `position`
-- 
ALTER TABLE `position`
  ADD CONSTRAINT `position_ibfk_2` FOREIGN KEY (`anr`) REFERENCES `artikel` (`anr`) ON UPDATE CASCADE,
  ADD CONSTRAINT `position_ibfk_1` FOREIGN KEY (`bnr`) REFERENCES `bestellung` (`bnr`) ON UPDATE CASCADE;
